[ARVADOS-DEV] updated: fc7fe0e6a0c3e4c3dc24bf443fcbdbd9d00ccaa7
Git user
git at public.curoverse.com
Mon Jan 23 13:35:38 EST 2017
Summary of changes:
jenkins/run-performance-suite.sh | 8 ++++++++
1 file changed, 8 insertions(+)
via fc7fe0e6a0c3e4c3dc24bf443fcbdbd9d00ccaa7 (commit)
from 8aca507cfd8f30ca1db57d34c4dfa050b9652332 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit fc7fe0e6a0c3e4c3dc24bf443fcbdbd9d00ccaa7
Author: Ward Vandewege <ward at curoverse.com>
Date: Mon Jan 23 13:35:21 2017 -0500
Abort performance suite with prejudice if the git checkout fails.
No issue #
diff --git a/jenkins/run-performance-suite.sh b/jenkins/run-performance-suite.sh
index 2944bda..07d002a 100755
--- a/jenkins/run-performance-suite.sh
+++ b/jenkins/run-performance-suite.sh
@@ -57,6 +57,14 @@ if [[ "$REVISION" != '' ]]; then
git checkout $REVISION
fi
+ECODE=$?
+
+if [[ "$ECODE" != "0" ]]; then
+ title "!!!!!! PERFORMANCE TESTS FAILED (`timer`) !!!!!!"
+ EXITCODE=$(($EXITCODE + $ECODE))
+ exit $EXITCODE
+fi
+
cp -f /home/jenkins/diagnostics/arvados-workbench/$INSTANCE-application.yml $WORKSPACE/apps/workbench/config/application.yml
cd $WORKSPACE/apps/workbench
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list